#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
  int i;
  int j;
  int N;
  int k;
  long long int A[1000000];
  cin>>N;


  for (i=0 ; i<N ; i++)
  {
    cin>>A[i];
  }


  int max;
  int max1;
  for(i = 0;i < N; i++)
    {
       if(max < A[i])
        {
           max1=max;
           max = A[i];
        }
        else if(A[i] > max1 && A[i] < max)
        {

            max1 = A[i];
        }
    }
int index1=0;
int p1=0;
if (A[0]==max && N!=2)
{
while (p1<N)
{
  if (A[p1]==max1)
  {
    index1=p1;
  }
  p1++;
}

swap(A[1],A[index1]);

for (i=0 ; i<N ; i++)
{
  std::cout <<A[i] << " ";
}
}











    int index=0;
    int p=0;

if (A[0]!=max && N!=2)
{
while (p<N)
{
  if (A[p]==max)
  {
    index=p;
  }
  p++;
}

swap(A[0],A[index]);

for (i=0 ; i<N ; i++)
{
  std::cout <<A[i] << " ";
}
}






if (N==2)
{
  swap(A[0],A[1]);
  for (i=0 ; i<N ; i++)
  {
    std::cout <<A[i] << " ";
  }
  
}





return 0;
}